Debian Bug report logs - #241980
racoon fails when 'listen' statement set up in config file...

version graph

Package: racoon; Maintainer for racoon is Matthew Grant <matthewgrant5@gmail.com>; Source for racoon is src:ipsec-tools.

Reported by: Matthew Grant <grantma@anathoth.gen.nz>

Date: Sun, 4 Apr 2004 06:33:01 UTC

Severity: normal

Found in versions 0.2.4-3, 0.3.3-5

Done: Ganesan Rajagopal <rganesan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#241980; Package racoon. Full text and rfc822 format available.

Acknowledgement sent to Matthew Grant <grantma@anathoth.gen.nz>:
New Bug report received and forwarded. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthew Grant <grantma@anathoth.gen.nz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: racoon fails when 'listen' statement set up in config file...
Date: Sun, 04 Apr 2004 18:13:12 +1200
Package: racoon
Version: 0.2.4-3
Severity: normal


When binding to particular IP addresses usung 'listen' in config file,
racoon fails to negotiate an incoming connection with:

Apr  4 18:13:04 zion racoon: INFO: isakmp.c:891:isakmp_ph1begin_r():
respond new phase 1 negotiation:
192.168.23.12[500]<=>192.168.23.127[500]
Apr  4 18:13:04 zion racoon: INFO: isakmp.c:896:isakmp_ph1begin_r():
begin Identity Protection mode.
Apr  4 18:13:04 zion racoon: ERROR: sockmisc.c:464:sendfromto():
getsockname (Socket operation on non-socket)
Apr  4 18:13:04 zion racoon: ERROR: isakmp.c:1434:isakmp_send():
sendfromto failed
Apr  4 18:13:04 zion racoon: ERROR: isakmp.c:910:isakmp_ph1begin_r():
failed to process packet.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.4-donkey
Locale: LANG=C, LC_CTYPE=C

Versions of packages racoon depends on:
ii  debconf                     1.4.21       Debian configuration management sy
ii  ipsec-tools                 0.2.4-3      IPsec tools for Linux
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an

-- debconf information:
* racoon/config_mode: racoon-tool
* racoon/config_mode_note: 
* racoon/kernel: 



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Grant <grantma@anathoth.gen.nz>:
Bug#241980; Package racoon. Full text and rfc822 format available.

Acknowledgement sent to waschk@telos.de:
Extra info received and forwarded to list. Copy sent to Matthew Grant <grantma@anathoth.gen.nz>. Full text and rfc822 format available.

Message #10 received at 241980@bugs.debian.org (full text, mbox):

From: "Waschk,Kolja" <waschk@telos.de>
To: 241980@bugs.debian.org
Subject: racoon fails not before reloading config
Date: Sat, 4 Sep 2004 17:40:26 +0200 (CEST)
The failure occurs not before racoon was sent a SIGHUP to reload its
configuration files. Unfortunately, racoon-tool does exactly that
already when it just "start"s: It starts the daemon, updates the
configuration file and SPDs, and then sends a SIGHUP to the daemon to
re-read the (eventually updated) configuration file.

If you start racoon manually (and specify the same SPDs using setkey),
it will run properly even with listen() - until you send it a SIGHUP.

See also http://sourceforge.net/support/tracker.php?aid=1022348

Kolja




Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Grant <grantma@anathoth.gen.nz>:
Bug#241980; Package racoon. Full text and rfc822 format available.

Acknowledgement sent to debianbug@ixo.de:
Extra info received and forwarded to list. Copy sent to Matthew Grant <grantma@anathoth.gen.nz>. Full text and rfc822 format available.

Message #15 received at 241980@bugs.debian.org (full text, mbox):

From: "Waschk,Kolja" <debianbug@ixo.de>
To: 241980@bugs.debian.org
Subject: Bug fix is near
Date: Mon, 6 Sep 2004 23:09:13 +0200 (CEST)
In http://sourceforge.net/support/tracker.php?aid=1022348, Aidas
Kasparas suggests a fix for the HUP problem which hopefully will make it into
ipsec-tools-CVS on SF soon.

Regards, Kolja



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Grant <grantma@anathoth.gen.nz>:
Bug#241980; Package racoon. Full text and rfc822 format available.

Acknowledgement sent to michael@metaparadigm.com:
Extra info received and forwarded to list. Copy sent to Matthew Grant <grantma@anathoth.gen.nz>. Full text and rfc822 format available.

Message #20 received at 241980@bugs.debian.org (full text, mbox):

From: Michael Clark <michael@metaparadigm.com>
To: Debian Bug Tracking System <241980@bugs.debian.org>
Subject: racoon: verified upstream hup.patch fixes problem
Date: Mon, 10 Jan 2005 08:40:58 +0800
Package: racoon
Version: 0.3.3-5
Followup-For: Bug #241980

I've applies the hup.patch from upstream CVS and in the bug log item
mentioned and verified it fixes the problem on my sarge system.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages racoon depends on:
ii  debconf                     1.4.30.11    Debian configuration management sy
ii  ipsec-tools                 0.3.3-5      IPsec tools for Linux
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an

-- debconf information:
* racoon/config_mode: racoon-tool



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Grant <grantma@anathoth.gen.nz>:
Bug#241980; Package racoon. Full text and rfc822 format available.

Acknowledgement sent to michael@metaparadigm.com:
Extra info received and forwarded to list. Copy sent to Matthew Grant <grantma@anathoth.gen.nz>. Full text and rfc822 format available.

Message #25 received at 241980@bugs.debian.org (full text, mbox):

From: Michael Clark <michael@metaparadigm.com>
To: Debian Bug Tracking System <241980@bugs.debian.org>
Subject: racoon: attached patch
Date: Mon, 10 Jan 2005 08:43:24 +0800
[Message part 1 (text/plain, inline)]
Package: racoon
Version: 0.3.3-5
Followup-For: Bug #241980

Patch attached.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages racoon depends on:
ii  debconf                     1.4.30.11    Debian configuration management sy
ii  ipsec-tools                 0.3.3-5      IPsec tools for Linux
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an

-- debconf information:
* racoon/config_mode: racoon-tool
[racoon-hup.patch (text/plain, attachment)]

Reply sent to Ganesan Rajagopal <rganesan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthew Grant <grantma@anathoth.gen.nz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 241980-close@bugs.debian.org (full text, mbox):

From: Ganesan Rajagopal <rganesan@debian.org>
To: 241980-close@bugs.debian.org
Subject: Problem fixed in new upstream version
Date: Mon, 14 Feb 2005 18:37:47 +0530
SIGHUP patch has been applied upstream and is included in the
0.5rc2 package.

-- 
Ganesan Rajagopal (rganesan at debian.org) | GPG Key: 1024D/5D8C12EA
Web: http://employees.org/~rganesan        | http://rganesan.blogspot.com



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:02:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.